import focus from "./focus"
import drag from "./drag"
import { tap, swipe, swipeleft, swiperight, swipedown, swipeup, longtap } from "./tap"
export default {
    install(Vue) {
        Vue.directive('focus', focus); //聚焦
        Vue.directive('drag', drag); //拖拽

        Vue.directive('tap', tap); //tap点击事件
        Vue.directive('swipe', swipe); //swipe滑动事件
        Vue.directive('swipeleft', swipeleft); //swipeleft左滑事件
        Vue.directive('swiperight', swiperight); //swiperight右滑事件
        Vue.directive('swipedown', swipedown); //swipedown下滑
        Vue.directive('swipeup', swipeup); //swipeup上滑
        Vue.directive('longtap', longtap); //longtap长按
    }
}